API
POST /api/identity/confirm
Confirm Anchor
POST /api/identity/confirm
Confirm Anchor
Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Org-ID | header | string | null | No | - |
Request body
A JSON request body is required.
| Field | Type | Required | Description |
|---|---|---|---|
anchor_key | string | Yes | must start with 'user.' |
anchor_value | any | Yes | - |
reason | string | null | No | - |
Example request
curl -X POST https://api.cognitivx.io/api/identity/confirm \
-H "Authorization: Bearer icog_..." \
-H "Content-Type: application/json" \
-d '{
"anchor_key": "string",
"anchor_value": null,
"reason": null
}'Example response
200 application/json
nullResponses
| Status | Description |
|---|---|
200 | Success. Returns the response body shown below. |
422 | Request validation failed. detail lists each offending field. |